=== debian/changelog ===
czmq (4.1.0-2) unstable; urgency=medium

  * Backport 0001-fix-hurd-ftbfs.patch to fix build on Hurd.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jan 2018 19:43:52 +0100

czmq (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
    - Changelog: https://github.com/zeromq/czmq/releases/tag/v4.1.0
  * Drop all patches, merged upstream.
  * Include dpkg/default.mk instead of redefining variables in
    debian/rules.
  * Drop libczmq-dbg, migrate to autogenerated dbgsym.
  * Update symbols file for 4.1.0.
  * Use HTTPS in debian/copyright.
  * Use short-form of MPL-2.0 in debian/copyright.
  * Update dates in debian/copyright.
  * Bump Standards-Version to 4.1.3.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jan 2018 12:49:04 +0100

czmq (4.0.2-10) unstable; urgency=medium

  * Switch to debian.org email address.
  * Update 0010-fix-zproxy-test.patch to really fix zproxy selftest
    hang on ppc64el and armel. (Closes: #865581)

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Sep 2017 23:18:05 +0100

czmq (4.0.2-9) experimental; urgency=medium

  * Add support for nodoc DEB_BUILD_OPTIONS and DEB_BUILD_PROFILES
  * Add support for nocheck DEB_BUILD_PROFILES
  * Bump Standards-Version to 4.0.0
  * Add 0010-fix-zproxy-test.patch to fix unreliable unit test
    (Closes: #865581)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 25 Jun 2017 15:46:13 +0100

czmq (4.0.2-8) unstable; urgency=medium

  * Backport patches to fix build with GCC 7:
    0008-gcc7-zgossip-engine-fix.patch and 0009-gcc7-zsys-fix.patch
    (Closes: #853365)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 20 Jun 2017 16:07:00 +0100
