=== debian/control ===
Source: czmq
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper (>= 9.20160114),
 autotools-dev,
 pkg-config,
 dh-autoreconf,
 libzmq3-dev,
 uuid-dev,
 libsystemd-dev [linux-any],
 asciidoc-base <!nodoc> | asciidoc <!nodoc>,
 xmlto <!nodoc>,
Standards-Version: 4.1.3
Section: libs
Homepage: http://czmq.zeromq.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/czmq.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/czmq.git

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: High-level C binding for ZeroMQ
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.

Package: libczmq-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libzmq3-dev,
         libczmq4 (= ${binary:Version})
Multi-Arch: same
Description: High-level C binding for ZeroMQ (development files)
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.
 .
 This package provides the development files for czmq.
