## czmq 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 # Select flags
 SET(CMAKE_C_FLAGS_RELEASE "-O3")
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/builds/cmake/Modules)
 
 # Will be used to add flags to pkg-config useful when apps want to statically link
 set(pkg_config_libs_private "")
@@ -164,7 +166,7 @@
 ########################################################################
 set(CZMQ_VERSION_MAJOR 4)
 set(CZMQ_VERSION_MINOR 1)
-set(CZMQ_VERSION_PATCH 0)
+set(CZMQ_VERSION_PATCH 1)
 set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
 message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")
 
@@ -232,6 +234,8 @@
 ########################################################################
 # library
 ########################################################################
+
+
 include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include")
 set (czmq_sources
     src/zactor.c
@@ -295,8 +299,8 @@
 IF (NOT MSVC)
   # avoid building everything twice for shared + static
   # only on *nix, as Windows needs different preprocessor defines in static builds
-  add_library (objects OBJECT ${czmq_sources})
-  set_property(TARGET objects PROPERTY POSITION_INDEPENDENT_CODE ON)
+  add_library (czmq_objects OBJECT ${czmq_sources})
+  set_property(TARGET czmq_objects PROPERTY POSITION_INDEPENDENT_CODE ON)
 ENDIF (NOT MSVC)
 
 # shared
@@ -304,7 +308,7 @@
   IF (MSVC)
     add_library(czmq SHARED ${czmq_sources})
   ELSE (MSVC)
-    add_library(czmq SHARED $<TARGET_OBJECTS:objects>)
+    add_library(czmq SHARED $<TARGET_OBJECTS:czmq_objects>)
   ENDIF (MSVC)
 
   set_target_properties (czmq PROPERTIES
@@ -337,7 +341,7 @@
   IF (MSVC)
     add_library(czmq-static STATIC ${czmq_sources})
   ELSE (MSVC)
-    add_library(czmq-static STATIC $<TARGET_OBJECTS:objects>)
+    add_library(czmq-static STATIC $<TARGET_OBJECTS:czmq_objects>)
   ENDIF (MSVC)
 
   set_target_properties(czmq-static PROPERTIES
@@ -372,7 +376,7 @@
 ########################################################################
 # pkgconfig
 ########################################################################
-set (VERSION "4.1.0")
+set (VERSION "4.1.1")
 set (prefix "${CMAKE_INSTALL_PREFIX}")
 set (exec_prefix "\${prefix}")
 set (libdir "\${prefix}/lib${LIB_SUFFIX}")
@@ -407,8 +411,3 @@
     ${OPTIONAL_LIBRARIES}
 )
 endif()
-if (NOT TARGET czmq AND TARGET czmq-static)
-target_link_libraries(
-    zmakecert
-    czmq-static
-    ${LIBZMQ_LIBRARIES}
