=== debian/changelog ===
czmq (4.1.1-1.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Sat, 07 Apr 2018 11:58:05 +0300

czmq (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Drop 0001-fix-hurd-ftbfs.patch, merged upstream.
  * Move repository to Salsa.

 -- Luca Boccassi <bluca@debian.org>  Fri, 23 Mar 2018 10:17:01 +0000
