=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  dh-autoreconf,
  libzmq3-dev,
  uuid-dev,
- libsystemd-dev [linux-any],
  asciidoc-base <!nodoc> | asciidoc <!nodoc>,
  xmlto <!nodoc>,
 Standards-Version: 4.1.3
 Section: libs
 Homepage: http://czmq.zeromq.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/czmq.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/czmq.git
+Vcs-Git: https://salsa.debian.org/debian/czmq.git
+Vcs-Browser: https://salsa.debian.org/debian/czmq
 
 Package: libczmq4
 Architecture: any
