=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-uuid=yes \
-		--with-libsystemd=yes \
+		--with-libsystemd=no \
 		--with-docs=$(DOCS) \
 		--enable-drafts=no
