## czmq 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 # Will be used to add flags to pkg-config useful when apps want to statically link
 set(pkg_config_libs_private "")
+set(pkg_config_names_private "")
 
 ########################################################################
 # options
@@ -38,7 +39,7 @@
             OUTPUT_STRIP_TRAILING_WHITESPACE
         )
         message(STATUS "git workspace root [${git_result}]: ${git_root}")
-        if ( "${git_result}" == "0" )
+        if ( "${git_result}" STREQUAL "0" )
             set (CMAKE_BUILD_TYPE Debug)
         else ()
             set (CMAKE_BUILD_TYPE Release)
@@ -71,7 +72,9 @@
     CHECK_INCLUDE_FILE("net/if.h" HAVE_NET_IF_H)
 endif()
 
-file(WRITE "${SOURCE_DIR}/src/platform.h.in" "
+file(REMOVE "${SOURCE_DIR}/src/platform.h")
+
+file(WRITE "${CMAKE_BINARY_DIR}/platform.h.in" "
 #cmakedefine HAVE_LINUX_WIRELESS_H
 #cmakedefine HAVE_NET_IF_H
 #cmakedefine HAVE_NET_IF_MEDIA_H
@@ -79,7 +82,7 @@
 #cmakedefine HAVE_FREEIFADDRS
 ")
 
-configure_file("${SOURCE_DIR}/src/platform.h.in" "${SOURCE_DIR}/src/platform.h")
+configure_file("${CMAKE_BINARY_DIR}/platform.h.in" "${CMAKE_BINARY_DIR}/platform.h")
 
 #The MSVC C compiler is too out of date,
 #so the sources have to be compiled as c++
@@ -112,6 +115,7 @@
 
 list(APPEND CMAKE_MODULE_PATH "${SOURCE_DIR}")
 set(OPTIONAL_LIBRARIES)
+set(OPTIONAL_LIBRARIES_STATIC)
 
 ########################################################################
 # LIBZMQ dependency
@@ -120,7 +124,12 @@
 IF (LIBZMQ_FOUND)
     include_directories(${LIBZMQ_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
+  IF (PC_LIBZMQ_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libzmq")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBZMQ_STATIC_LDFLAGS})
+  ELSE (PC_LIBZMQ_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
+  ENDIF (PC_LIBZMQ_FOUND)
 ELSE (LIBZMQ_FOUND)
     message( FATAL_ERROR "libzmq not found." )
 ENDIF (LIBZMQ_FOUND)
@@ -132,7 +141,12 @@
 IF (UUID_FOUND)
     include_directories(${UUID_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${UUID_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
+  IF (PC_UUID_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} uuid")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_UUID_STATIC_LDFLAGS})
+  ELSE (PC_UUID_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
+  ENDIF (PC_UUID_FOUND)
     add_definitions(-DHAVE_UUID)
     list(APPEND OPTIONAL_LIBRARIES ${UUID_LIBRARIES})
 ENDIF (UUID_FOUND)
@@ -144,7 +158,12 @@
 IF (SYSTEMD_FOUND)
     include_directories(${SYSTEMD_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${SYSTEMD_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
+  IF (PC_SYSTEMD_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libsystemd >= 200.0.0")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_SYSTEMD_STATIC_LDFLAGS})
+  ELSE (PC_SYSTEMD_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
+  ENDIF (PC_SYSTEMD_FOUND)
     add_definitions(-DHAVE_LIBSYSTEMD)
     list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
 ENDIF (SYSTEMD_FOUND)
@@ -156,17 +175,56 @@
 IF (LZ4_FOUND)
     include_directories(${LZ4_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
+  IF (PC_LZ4_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} liblz4")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LZ4_STATIC_LDFLAGS})
+  ELSE (PC_LZ4_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
+  ENDIF (PC_LZ4_FOUND)
     add_definitions(-DHAVE_LIBLZ4)
     list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
 ENDIF (LZ4_FOUND)
 
 ########################################################################
+# LIBCURL dependency
+########################################################################
+find_package(libcurl)
+IF (LIBCURL_FOUND)
+    include_directories(${LIBCURL_INCLUDE_DIRS})
+    list(APPEND MORE_LIBRARIES ${LIBCURL_LIBRARIES})
+  IF (PC_LIBCURL_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libcurl >= 7.28.0")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBCURL_STATIC_LDFLAGS})
+  ELSE (PC_LIBCURL_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lcurl")
+  ENDIF (PC_LIBCURL_FOUND)
+    add_definitions(-DHAVE_LIBCURL)
+    list(APPEND OPTIONAL_LIBRARIES ${LIBCURL_LIBRARIES})
+ENDIF (LIBCURL_FOUND)
+
+########################################################################
+# LIBMICROHTTPD dependency
+########################################################################
+find_package(libmicrohttpd)
+IF (LIBMICROHTTPD_FOUND)
+    include_directories(${LIBMICROHTTPD_INCLUDE_DIRS})
+    list(APPEND MORE_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
+  IF (PC_LIBMICROHTTPD_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libmicrohttpd")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBMICROHTTPD_STATIC_LDFLAGS})
+  ELSE (PC_LIBMICROHTTPD_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lmicrohttpd")
+  ENDIF (PC_LIBMICROHTTPD_FOUND)
+    add_definitions(-DHAVE_LIBMICROHTTPD)
+    list(APPEND OPTIONAL_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
+ENDIF (LIBMICROHTTPD_FOUND)
+
+########################################################################
 # version
 ########################################################################
 set(CZMQ_VERSION_MAJOR 4)
-set(CZMQ_VERSION_MINOR 1)
-set(CZMQ_VERSION_PATCH 1)
+set(CZMQ_VERSION_MINOR 2)
+set(CZMQ_VERSION_PATCH 0)
 set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
 message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")
 
@@ -225,6 +283,11 @@
         include/zproc.h
         include/ztimerset.h
         include/ztrie.h
+        include/zhttp_client.h
+        include/zhttp_server.h
+        include/zhttp_server_options.h
+        include/zhttp_request.h
+        include/zhttp_response.h
     )
 ENDIF (ENABLE_DRAFTS)
 
@@ -236,7 +299,7 @@
 ########################################################################
 
 
-include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include")
+include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include" "${CMAKE_BINARY_DIR}")
 set (czmq_sources
     src/zactor.c
     src/zarmour.c
@@ -277,6 +340,11 @@
         src/zproc.c
         src/ztimerset.c
         src/ztrie.c
+        src/zhttp_client.c
+        src/zhttp_server.c
+        src/zhttp_server_options.c
+        src/zhttp_request.c
+        src/zhttp_response.c
     )
 ENDIF (ENABLE_DRAFTS)
 
@@ -298,116 +366,3 @@
 
 IF (NOT MSVC)
   # avoid building everything twice for shared + static
-  # only on *nix, as Windows needs different preprocessor defines in static builds
-  add_library (czmq_objects OBJECT ${czmq_sources})
-  set_property(TARGET czmq_objects PROPERTY POSITION_INDEPENDENT_CODE ON)
-ENDIF (NOT MSVC)
-
-# shared
-if (CZMQ_BUILD_SHARED)
-  IF (MSVC)
-    add_library(czmq SHARED ${czmq_sources})
-  ELSE (MSVC)
-    add_library(czmq SHARED $<TARGET_OBJECTS:czmq_objects>)
-  ENDIF (MSVC)
-
-  set_target_properties (czmq PROPERTIES
-    PUBLIC_HEADER "${public_headers}"
-    DEFINE_SYMBOL "CZMQ_EXPORTS"
-    SOVERSION "4"
-    VERSION "${CZMQ_VERSION}"
-    COMPILE_DEFINITIONS "DLL_EXPORT"
-    OUTPUT_NAME "czmq"
-    PREFIX "lib"
-  )
-
-  target_link_libraries(czmq
-    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
-  )
-
-  install(TARGETS czmq
-    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
-    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
-    RUNTIME DESTINATION bin                # .dll file
-  )
-
-  target_include_directories(czmq
-    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
-  )
-endif()
-
-# static
-if (CZMQ_BUILD_STATIC)
-  IF (MSVC)
-    add_library(czmq-static STATIC ${czmq_sources})
-  ELSE (MSVC)
-    add_library(czmq-static STATIC $<TARGET_OBJECTS:czmq_objects>)
-  ENDIF (MSVC)
-
-  set_target_properties(czmq-static PROPERTIES
-    PUBLIC_HEADER "${public_headers}"
-    COMPILE_DEFINITIONS "CZMQ_STATIC"
-    OUTPUT_NAME "czmq"
-    PREFIX "lib"
-  )
-
-  target_link_libraries(czmq-static
-    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
-  )
-
-  install(TARGETS czmq-static
-    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
-    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
-    RUNTIME DESTINATION bin                # .dll file
-  )
-
-  target_include_directories(czmq-static
-    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
-  )
-  target_compile_definitions(czmq-static
-    PUBLIC CZMQ_STATIC
-  )
-
-endif()
-
-
-include(${CMAKE_CURRENT_SOURCE_DIR}/src/CMakeLists-local.txt) # Optional project-local hook
-
-########################################################################
-# pkgconfig
-########################################################################
-set (VERSION "4.1.1")
-set (prefix "${CMAKE_INSTALL_PREFIX}")
-set (exec_prefix "\${prefix}")
-set (libdir "\${prefix}/lib${LIB_SUFFIX}")
-set (includedir "\${prefix}/include")
-IF (ENABLE_DRAFTS)
-    set (pkg_config_defines "-DCZMQ_BUILD_DRAFT_API=1")
-ELSE (ENABLE_DRAFTS)
-    set (pkg_config_defines "")
-ENDIF (ENABLE_DRAFTS)
-configure_file(
-    "${SOURCE_DIR}/src/libczmq.pc.in"
-    "${SOURCE_DIR}/src/libczmq.pc"
-@ONLY)
-
-install(
-    FILES "${SOURCE_DIR}/src/libczmq.pc"
-    DESTINATION "lib${LIB_SUFFIX}/pkgconfig"
-)
-
-########################################################################
-# executables
-########################################################################
-add_executable(
-    zmakecert
-    "${SOURCE_DIR}/src/zmakecert.c"
-)
-if (TARGET czmq)
-target_link_libraries(
-    zmakecert
-    czmq
-    ${LIBZMQ_LIBRARIES}
-    ${OPTIONAL_LIBRARIES}
-)
-endif()
