=== bindings/jni/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,11 @@
     src/main/c/org_zeromq_czmq_Ztimerset.c
     src/main/c/org_zeromq_czmq_Ztrie.c
     src/main/c/org_zeromq_czmq_Zuuid.c
+    src/main/c/org_zeromq_czmq_ZhttpClient.c
+    src/main/c/org_zeromq_czmq_ZhttpServer.c
+    src/main/c/org_zeromq_czmq_ZhttpServerOptions.c
+    src/main/c/org_zeromq_czmq_ZhttpRequest.c
+    src/main/c/org_zeromq_czmq_ZhttpResponse.c
 )
 
 add_library (czmqjni SHARED ${czmqjni_sources})
