=== debian/changelog ===
czmq (4.2.0-2) unstable; urgency=medium

  * Add uuid-dev and libsystemd-dev dependencies on libczmq-dev, required
    by pkg-config --cflags libczmq.pc. (Closes: #923695)

 -- Luca Boccassi <bluca@debian.org>  Sun, 03 Mar 2019 22:23:19 +0000

czmq (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Drop all patches, merged upstream.
  * Update symbols file for 4.2.0.
  * Bump Standards-Version to 4.3.0, no changes.
  * Drop build-dependency on autotools-dev, not needed.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Feb 2019 18:41:55 +0000

czmq (4.1.1-3) unstable; urgency=medium

  * Add 0002-uuid-dependency-leaks-through-public-header.patch.
    Do not add includes for the external uuid library in the public
    header, there is no need for it as the usage is internal. (Closes: #915729)
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.1.

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Dec 2018 22:18:24 +0000

czmq (4.1.1-2) unstable; urgency=medium

  * Add 0001-fix-kfreebsd-ftbfs.patch to fix build on GNU/kFreeBSD.
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Apr 2018 16:50:27 +0100
