=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper (>= 9.20160114),
- autotools-dev,
  pkg-config,
  dh-autoreconf,
  libzmq3-dev,
  uuid-dev,
+ libsystemd-dev [linux-any],
  asciidoc-base <!nodoc> | asciidoc <!nodoc>,
  xmlto <!nodoc>,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: http://czmq.zeromq.org/
 Vcs-Git: https://salsa.debian.org/debian/czmq.git
@@ -40,6 +41,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          libzmq3-dev,
+         uuid-dev,
+         libsystemd-dev [linux-any],
          libczmq4 (= ${binary:Version})
 Multi-Arch: same
 Description: High-level C binding for ZeroMQ (development files)
